/*
	Abstracts are helpers, variables and functions
	for scss compliation.
*/
/*
	@TODO: Add to theme: new division fix for updated sass package.
*/
/**==================================================================================================================================
BREAKPOINT
@TODO: remove? What is use case?? either use simple global points or write custom line. why does first breakpoint have to be 0?
 ==================================================================================================================================*/
/**==================================================================================================================================
BREAKPOINT ENDS
==================================================================================================================================*/
span.edit-link {
  display: inline-block;
  background-color: yellow;
  font-weight: 700;
  position: fixed;
  left: 0;
  bottom: 3.125rem;
  transform: translateX(-45px);
  transition: all 0.2s;
}

span.edit-link a {
  display: block;
  padding: 0.9375rem;
}

span.edit-link:hover {
  transform: translateX(0);
}

/*
	Variables for compliation
	NB! Colors should be added to base/config file as css root variable.
*/
/**
 * Block section background colors.
 * Include the background options ACF fields group to use these.
 */
/*
 * makes ul/ol as a dropdown select (normaly in mobile)
 * Structure: div > title > list > li > a
*/
/*
	Variables for legacy dc plugins
*/
.text {
  --text-color: var(--color__dark-grey);
  --note-bg-color: var(--color__greige);
  --border-color: var(--color__light-grey);
}

.text .block-section-wrapper {
  width: 100%;
}

.text .block-section-wrapper .text-content-wrapper {
  max-width: 46rem;
  margin: 0 auto;
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard .text-block__header {
  margin-bottom: var(--spacing-content-small);
  font-weight: 300;
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard.has-border-top {
  padding-top: var(--spacing-content-small);
  border-top: 1px solid var(--border-color);
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard .text-block__paragraph {
  line-height: 170%;
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard .text-block__paragraph p strong {
  margin: var(--spacing-content-small) 0 0.75rem;
  display: block;
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard .text-block__paragraph p br {
  display: none;
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard .text-block__paragraph p:last-child {
  margin-bottom: 0;
}

.text .block-section-wrapper .text-content-wrapper .text-block__standard .large-initial-letter.text-block__paragraph::first-letter {
  -webkit-initial-letter: 3;
  initial-letter: 3;
  padding-right: 1.25rem;
}

.text .block-section-wrapper .text-content-wrapper .text-block__note {
  padding: 2rem;
  background-color: var(--note-bg-color);
}

.text .block-section-wrapper .text-content-wrapper .text-block__note .text-block__header {
  margin-bottom: var(--spacing-content-small);
  font-weight: 300;
}
